import 'package:meta/meta.dart';

class BookmarksSetBookmark {
  int plurkID;
  bool bookmark;
  List<String> tags;
  int asReward;

  BookmarksSetBookmark({
    @required this.plurkID,
    @required this.bookmark,
    this.tags,
    this.asReward,
  });

  Map<String, String> toBody() {
    final Map<String, String> data = new Map<String, String>();
    if (plurkID != null) data['plurkID'] = plurkID.toString();
    if (bookmark != null) data['bookmark'] = bookmark.toString();
    if (tags != null) {
      data['tags'] = tags.join(',');
    };
    if (asReward != null) data['asReward'] = asReward.toString();
    return data;
  }
}