import 'package:meta/meta.dart';

class BookmarksUpdateTag {
  int bookmarkID;
  List<String> tags;

  BookmarksUpdateTag({
    @required this.bookmarkID,
    this.tags,
  });

  Map<String, String> toBody() {
    final Map<String, String> data = new Map<String, String>();
    if (bookmarkID != null) data['bookmarkID'] = bookmarkID.toString();
    if (tags != null) {
      data['tags'] = tags.join(',');
    };
    return data;
  }
}